import easel from './Easel';
import tween from './Tween';
import preload from './Preload';
import sound from './Sound';
import release from '../release';

const status = {
  initialized: true,
  modules: {
    EaselJS: {
      version: easel.version,
      build: easel.buildDate,
    },
    TweenJS: {
      version: tween.version,
      build: tween.buildDate,
    },
    PreloadJS: {
      version: preload.version,
      build: preload.buildDate,
    },
    SoundJS: {
      version: sound.version,
      build: sound.buildDate,
    },
  },
  version: release.version,
  build: release.build,
};

console.log('Create ES6 JS initialized', status);

const create = {
  Easel: easel,
  Tween: tween,
  Preload: preload,
  Sound: sound,
  status,
};

export default create;

export const Easel = create.Easel;
export const Tween = create.Tween;
export const Preload = create.Preload;
export const Sound = create.Sound;
